Compiling pspell for XAMPP

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Compiling pspell for XAMPP

Postby paulsidekick » 27. March 2005 08:37

I tried to recompile PHP 5.0.3 for XAMPP using --with pspell. I know that my installation of pspell is correct because I was able to compile it for another installation of PHP for another apache on the machine. However, when I try to compile it for XAMPP using

./configure --prefix=/opt/lampp --with-apxs2=/opt/lampp/bin/apxs --with-config-file-path=/opt/lampp/etc --with-mysql=/opt/lampp --disable-debug --enable-bcmath --enable-calendar --enable-ctype --enable-dbase --enable-discard-path --enable-exif --enable-filepro --enable-force-cgi-redirect --enable-ftp --enable-gd-imgstrttf --enable-gd-native-ttf --with-ttf --enable-magic-quotes --enable-memory-limit --enable-safe-mode --enable-shmop --enable-sigchild --enable-sysvsem --enable-sysvshm --enable-track-vars --enable-trans-sid --enable-versioning --enable-wddx --enable-yp --with-ftp --with-gdbm=/opt/lampp --with-jpeg-dir=/opt/lampp --with-png-dir=/opt/lampp --with-freetype-dir=/opt/lampp --without-xpm --with-zlib=yes --with-zlib-dir=/opt/lampp --with-openssl=/opt/lampp --with-expat-dir=/opt/lampp --enable-xslt=/opt/lampp --with-xsl=/opt/lampp --with-ming=/opt/lampp --with-dom=/opt/lampp --with-ldap=/opt/lampp --with-ncurses=/opt/lampp --with-gd --with-imap-dir=/opt/lampp --with-imap-ssl --with-pspell --with-imap=/opt/lampp --with-gettext=/opt/lampp --with-mssql=/opt/lampp --with-interbase=/opt/interbase --with-mysql-sock=/opt/lampp/var/mysql/mysql.sock --with-oci8=shared --with-mcrypt=/opt/lampp --with-mhash=/opt/lampp --enable-sockets --enable-mbstring=all --with-curl=/opt/lampp --enable-mbregex --enable-zend-multibyte --with-zip=/opt/lampp --enable-exif --with-bz2=/opt/lampp --with-sqlite=shared --with-libxml-dir=/opt/lampp --enable-soap --enable-pcntl --enable-dbx --with-mysqli=/opt/lampp/bin/mysql_config

A few seconds into the installation I get

Sorry, I cannot run apxs. Possible reasons follow:

1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)

The output of /opt/lampp/bin/apxs follows:
cannot open /opt/lampp/build/config_vars.mk: No such file or directory at /opt/lampp/bin/apxs line 218.
configure: error: Aborting


ANY IDEAS?
paulsidekick
 
Posts: 1
Joined: 27. March 2005 08:22
Location: New York

Postby Wiedmann » 27. March 2005 09:24

You have installed the devel package of XAMPP, too?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests